## rust-ahash 0.8.11

=== debian/changelog ===
rust-ahash (0.8.11-9) unstable; urgency=medium

  * stop mention dh-cargo in long description
  * add metadata about upstream project
  * update git-buildpackage config: simplify usage comments
  * declare rust-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * update copyright info: update coverage
  * drop patch 2001_smallvec,
    obsoleted by Debian packaging changes
  * update watch file:
    + improve filename mangling
    + use Github API

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Feb 2025 09:18:42 +0100

rust-ahash (0.8.11-8) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * reduce autopkgtest to check single-feature tests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jul 2024 17:02:08 +0200

rust-ahash (0.8.11-7) unstable; urgency=medium

  * tighten build rule for target override_dh_auto_clean

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 15:58:21 +0200

rust-ahash (0.8.11-6) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 02:06:04 +0200

rust-ahash (0.8.11-5) unstable; urgency=medium

  * fix bump build-dependency for crate criterion

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jul 2024 14:44:20 +0200

rust-ahash (0.8.11-4) unstable; urgency=medium

  * tidy: rename patch
  * add patch cherry-picked upstream
    to use newer branch of crate criterion;
    bump build- and autopkgtest-dependencies for crate criterion

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jul 2024 14:39:47 +0200

rust-ahash (0.8.11-3) unstable; urgency=medium

  * update copyright info: fix file path
  * add patches cherry-picked upstream:
    + limit a test to nightly-only on aarch64
    + replace atomic-polyfill with portable-atomic;
    build-depend on package for crate portable-atomic
    (not atomic-polyfill)
  * drop patch 2001_hashbrown;
    tighten build- and autopkgtest-dependencies for crate hashbrown
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2024 07:17:32 +0200

rust-ahash (0.8.11-2) unstable; urgency=medium

  * fix or tighten patch 1002

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Mar 2024 06:44:43 +0100

rust-ahash (0.8.11-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches; update DEP-3 headers
  * extend patch 1002;
    closes: bug#1064612, thanks (again) to Peter Michael Green
  * bump project versions in virtual packages and autopkgtests
  * add patch 2001_pcg-mwc
    to avoid test-only not-in-Debian crate pcg-mwc
  * add patch 2001_smallvec
    to accept older releases of crate smallvec
  * add patch 1003 to fix upstream version;
    temporarily tolerate failing build target dh_auto_clean
  * build- and autopkgtest-depend on package for crate smallvec

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Mar 2024 18:14:24 +0100

rust-ahash (0.8.9-2) unstable; urgency=medium

  * drop patch 2001, obsoleted by Debian package changes;
    tighten (build-)dependencies for crate zerocopy

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Feb 2024 08:28:35 +0100

rust-ahash (0.8.9-1) unstable; urgency=medium

  * drop patch cherry-picked upstream, obsoleted by upstream changes
  * drop patch 2003, obsoleted by upstream changes
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Feb 2024 17:19:15 +0100

rust-ahash (0.8.8-2) unstable; urgency=medium

  * add patch 2003 to accept compiling with older release of rustc;
    closes: bug#1064243, thanks to Jeremy Bícha

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Feb 2024 01:31:00 +0100

rust-ahash (0.8.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * rename upstream cherry-picked patch, and add DEP-3 headers
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Feb 2024 10:57:03 +0100

rust-ahash (0.8.7-5) unstable; urgency=medium

  * add patch 1003 to accept newer branch of crate hashbrown;
    relax build- and autpkgtest-dependencies for crate hashbrown;
    closes: bug#1063676, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Feb 2024 18:39:55 +0100

rust-ahash (0.8.7-4) unstable; urgency=medium

  * relax to declare most package relations unversioned:
    required version is satisfied in all supported releases of Debian;
    closes: bug#1063357, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Feb 2024 20:01:40 +0100

rust-ahash (0.8.7-3) unstable; urgency=medium

  * add patch cherry-picked upstream to fix test

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Feb 2024 21:50:15 +0100

rust-ahash (0.8.7-2) unstable; urgency=medium

  * add patch 2002 to avoid nightly-only feature nightly-arm-aes
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jan 2024 22:12:27 +0100

rust-ahash (0.8.7-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update patches
  * bump project versions in virtual packages and autopkgtests
  * relax (build-)dependencies for crate once_cell

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 10:47:42 +0100

rust-ahash (0.8.5-4) unstable; urgency=medium

  * add patches 1001 1002 to fix test failures;
    closes: bug#1057451, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Dec 2023 09:51:13 +0100

rust-ahash (0.8.5-3) unstable; urgency=medium

  * update patch;
    add DEP-3 headers
  * stop provide or autpkgtest architecture-variant features
    folded_multiply specialize stdsimd

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Dec 2023 00:06:48 +0100

rust-ahash (0.8.5-2) unstable; urgency=medium

  * (build-)depend on package for crate zerocopy


