=== debian/control ===
Source: rust-ahash
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-portable-atomic-1+default-dev,
 librust-cfg-if-1+default-dev,
 librust-const-random-0.1+default-dev,
 librust-criterion-0.5+default-dev,
 librust-criterion-0.5+html-reports-dev,
 librust-fnv-1+default-dev,
 librust-fxhash-0.2+default-dev,
 librust-getrandom-0.2+default-dev,
 librust-hashbrown-0.14+default-dev,
 librust-hex-0.4+default-dev,
 librust-no-panic-0.1+default-dev,
 librust-once-cell-1+alloc-dev,
 librust-once-cell-1+atomic-polyfill-dev,
 librust-rand-0.8+default-dev,
 librust-seahash-4+default-dev,
 librust-serde-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-smallvec-1+default-dev,
 librust-version-check-0.9+default-dev,
 librust-zerocopy-0.7+simd-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-ahash.git
Vcs-Browser: https://salsa.debian.org/debian/rust-ahash
Homepage: https://github.com/tkaitchuck/ahash
Rules-Requires-Root: no

Package: librust-ahash-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-portable-atomic-1+default-dev,
 librust-cfg-if-1+default-dev,
 librust-const-random-0.1+default-dev,
 librust-getrandom-0.2+default-dev,
 librust-once-cell-1+alloc-dev,
 librust-once-cell-1+atomic-polyfill-dev,
 librust-serde-1+default-dev,
 librust-version-check-0.9+default-dev,
 librust-zerocopy-0.7+simd-dev,
 ${misc:Depends},
Provides:
 librust-ahash-0-dev (= ${binary:Version}),
 librust-ahash-0.8+atomic-polyfill-dev (= ${binary:Version}),
 librust-ahash-0.8+compile-time-rng-dev (= ${binary:Version}),
 librust-ahash-0.8+default-dev (= ${binary:Version}),
 librust-ahash-0.8+no-rng-dev (= ${binary:Version}),
 librust-ahash-0.8+runtime-rng-dev (= ${binary:Version}),
 librust-ahash-0.8+serde-dev (= ${binary:Version}),
 librust-ahash-0.8+std-dev (= ${binary:Version}),
 librust-ahash-0.8-dev (= ${binary:Version}),
 librust-ahash-0.8.11-dev (= ${binary:Version}),
Description: non-cryptographic hash function - Rust source code
 AHash is the fastest, DOS resistant hash currently available in Rust.
 AHash is intended *exclusively* for use in in-memory hashmaps.
 .
 AHash's output is of high quality
 but aHash is **not** a cryptographically secure hash.
 .
 This package contains the source for the Rust ahash crate,
 for use with cargo.
