=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# TODO: drop when Cargo.toml matches actual upstream release version
override_dh_auto_clean:
	grep -q '"0.8.10"' Cargo.toml || dh_auto_clean --buildsystem rust
