## rust-ahash 0.8.12

=== debian/changelog ===
rust-ahash (0.8.12-3) unstable; urgency=medium

  * update DEP-3 patch headers
  * stop superfluously set fields Rules-Requires-Root Priority
  * stop set Multi-Arch: foreign,
    incompatible with arch-any packaged crates
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions
  * declare compliance with Debian Policy 4.7.3
  * update watch file:
    + use file format 5
    + use Github template
    + auto-mangle upstream version (not custom-mangle)
    + stop mangle filename
    + use repack suffix +ds
  * update copyright info:
    + avoid any .git* files when repackaging upstream source
    + license patches same as main upstream license
    + update coverage
  * update git-buildpackage config:
    + stop superfluously filter out .git* files

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Feb 2026 09:51:31 +0100

rust-ahash (0.8.12-2) unstable; urgency=medium

  * drop patch 2001_zerocopy;
    bump (build-)dependencies for crate zerocopy;
    closes: bug#1110203, thanks to Matthias Geiger

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Aug 2025 00:23:02 +0200

rust-ahash (0.8.12-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * update git-buildpackage config:
    + filter out debian subdir
    + fix usage comments
  * update watch file: mangle upstream version
  * add patch 2002_no_benches to avoid running benchmarks;
    stop build- or autopkgtest-depend on packages
    for crates criterion fnv fxhash hashbrown seahash
  * bump project versions in virtual packages and autopkgtests
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Aug 2025 11:29:45 +0200
