=== debian/control ===
Source: rust-ahash
Section: rust
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-portable-atomic-dev,
 librust-cfg-if-dev,
 librust-const-random-dev,
 librust-getrandom-dev,
 librust-hex-dev,
 librust-no-panic-dev,
 librust-once-cell-dev,
 librust-once-cell-dev,
 librust-rand-dev,
 librust-serde-dev,
 librust-serde-json-dev,
 librust-smallvec-dev,
 librust-version-check-dev,
 librust-zerocopy-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/debian/rust-ahash.git
Vcs-Browser: https://salsa.debian.org/debian/rust-ahash
Homepage: https://github.com/tkaitchuck/ahash

Package: librust-ahash-dev
Architecture: all
#Multi-Arch: foreign
Depends:
 librust-portable-atomic-dev,
 librust-cfg-if-dev,
 librust-const-random-dev,
 librust-getrandom-dev,
 librust-once-cell-dev,
 librust-once-cell-dev,
 librust-serde-dev,
 librust-version-check-dev,
 librust-zerocopy-dev,
 ${misc:Depends},
Provides:
 librust-ahash-0-dev (= ${binary:Version}),
 librust-ahash-0.8+atomic-polyfill-dev (= ${binary:Version}),
 librust-ahash-0.8+compile-time-rng-dev (= ${binary:Version}),
 librust-ahash-0.8+default-dev (= ${binary:Version}),
 librust-ahash-0.8+no-rng-dev (= ${binary:Version}),
 librust-ahash-0.8+runtime-rng-dev (= ${binary:Version}),
 librust-ahash-0.8+serde-dev (= ${binary:Version}),
 librust-ahash-0.8+std-dev (= ${binary:Version}),
 librust-ahash-0.8-dev (= ${binary:Version}),
 librust-ahash-0.8.12-dev (= ${binary:Version}),
Description: non-cryptographic hash function - Rust source code
 AHash is the fastest, DOS resistant hash currently available in Rust.
 AHash is intended *exclusively* for use in in-memory hashmaps.
 .
 AHash's output is of high quality
 but aHash is **not** a cryptographically secure hash.
 .
 This package contains the source for the Rust ahash crate,
 for use with cargo.
