=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ahash 0.8.12
 --all-targets --all-features
Features: test-name=rust-ahash:@
Depends:
 dh-rust,
 librust-ahash-dev,
 librust-hex-dev,
 librust-no-panic-dev,
 librust-rand-dev,
 librust-serde-json-dev,
 librust-smallvec-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ahash 0.8.12
 --all-targets
Features: test-name=rust-ahash:default
Depends:
 dh-rust,
 librust-ahash-0.8+default-dev,
 librust-hex-dev,
 librust-no-panic-dev,
 librust-rand-dev,
 librust-serde-json-dev,
 librust-smallvec-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ahash 0.8.12
 --all-targets --no-default-features
Features: test-name=rust-ahash:
Depends:
 dh-rust,
 librust-ahash-dev,
 librust-hex-dev,
 librust-no-panic-dev,
 librust-rand-dev,
 librust-serde-json-dev,
 librust-smallvec-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ahash 0.8.12
 --all-targets --no-default-features --features atomic-polyfill
Features: test-name=rust-ahash:atomic-polyfill
Depends:
 dh-rust,
 librust-ahash-0.8+atomic-polyfill-dev,
 librust-hex-dev,
 librust-no-panic-dev,
 librust-rand-dev,
 librust-serde-json-dev,
 librust-smallvec-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ahash 0.8.12
 --all-targets --no-default-features --features compile-time-rng
Features: test-name=rust-ahash:compile-time-rng
Depends:
 dh-rust,
 librust-ahash-0.8+compile-time-rng-dev,
 librust-hex-dev,
 librust-no-panic-dev,
 librust-rand-dev,
 librust-serde-json-dev,
 librust-smallvec-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ahash 0.8.12
 --all-targets --no-default-features --features no-rng
Features: test-name=rust-ahash:no-rng
Depends:
 dh-rust,
 librust-ahash-0.8+no-rng-dev,
 librust-hex-dev,
 librust-no-panic-dev,
 librust-rand-dev,
 librust-serde-json-dev,
 librust-smallvec-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ahash 0.8.12
 --all-targets --no-default-features --features runtime-rng
Features: test-name=rust-ahash:runtime-rng
Depends:
 dh-rust,
 librust-ahash-0.8+runtime-rng-dev,
 librust-hex-dev,
 librust-no-panic-dev,
 librust-rand-dev,
 librust-serde-json-dev,
 librust-smallvec-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ahash 0.8.12
 --all-targets --no-default-features --features serde
Features: test-name=rust-ahash:serde
Depends:
 dh-rust,
 librust-ahash-0.8+serde-dev,
 librust-hex-dev,
 librust-no-panic-dev,
 librust-rand-dev,
 librust-serde-json-dev,
 librust-smallvec-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ahash 0.8.12
 --all-targets --no-default-features --features std
